Bug 888490

Summary: tg3: WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1da/0x1f0()
Product: [Fedora] Fedora Reporter: Rick Leir <rredhat>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:fbd96bfc513cd7c1d8211a483ef2f8b81ec21682
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 10:48:40 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 702723    

Description Rick Leir 2012-12-18 14:13:41 EST
libreport version: 2.0.10
cmdline:        BOOT_IMAGE=/vmlinuz-3.6.7-4.fc16.i686.PAE root=UUID=d2a02090-fd04-432a-ada5-89f05c9a823f ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8

backtrace:
:[326215.008030] WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1da/0x1f0()
:[326215.008033] Hardware name: OptiPlex GX280               
:[326215.008035] NETDEV WATCHDOG: p2p1 (tg3): transmit queue 0 timed out
:[326215.008038] Modules linked in: tcp_lp fuse ip6table_filter ip6_tables ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack xt_CHECKSUM iptable_mangle tun bridge stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser lockd rdma_cm ib_cm tpm_bios iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi binfmt_misc i2c_i801 iTCO_wdt iTCO_vendor_support lpc_ich mfd_core uinput dcdbas microcode ppdev serio_raw snd_intel8x0 snd_ac97_codec ac97_bus snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm tg3 parport_pc parport snd_timer snd soundcore snd_page_alloc sunrpc radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core
:[326215.008119] Pid: 0, comm: swapper/0 Not tainted 3.6.7-4.fc16.i686.PAE #1
:[326215.008121] Call Trace:
:[326215.008129]  [<c044c652>] warn_slowpath_common+0x72/0xa0
:[326215.008134]  [<c0898dea>] ? dev_watchdog+0x1da/0x1f0
:[326215.008138]  [<c0898dea>] ? dev_watchdog+0x1da/0x1f0
:[326215.008143]  [<c044c723>] warn_slowpath_fmt+0x33/0x40
:[326215.008149]  [<c0898dea>] dev_watchdog+0x1da/0x1f0
:[326215.008157]  [<c0454bd0>] ? local_bh_enable_ip+0x90/0x90
:[326215.008163]  [<c045bdb2>] run_timer_softirq+0x102/0x2f0
:[326215.008168]  [<c047fdff>] ? sched_clock_cpu+0xcf/0x150
:[326215.008172]  [<c0898c10>] ? pfifo_fast_dequeue+0xe0/0xe0
:[326215.008177]  [<c0454bd0>] ? local_bh_enable_ip+0x90/0x90
:[326215.008180]  [<c0454c69>] __do_softirq+0x99/0x1d0
:[326215.008184]  [<c0454bd0>] ? local_bh_enable_ip+0x90/0x90
:[326215.008186]  <IRQ>  [<c0454fde>] ? irq_exit+0x7e/0xa0
:[326215.008196]  [<c0434459>] ? smp_apic_timer_interrupt+0x59/0x90
:[326215.008201]  [<c0971c45>] ? apic_timer_interrupt+0x31/0x38
:[326215.008206]  [<c0419f7c>] ? mwait_idle+0x7c/0x210
:[326215.008210]  [<c041a896>] ? cpu_idle+0xb6/0xe0
:[326215.008215]  [<c094fd95>] ? rest_init+0x5d/0x68
:[326215.008220]  [<c0c25a08>] ? start_kernel+0x36d/0x373
:[326215.008224]  [<c0c254d6>] ? repair_env_string+0x51/0x51
:[326215.008228]  [<c0c252f8>] ? i386_start_kernel+0x9b/0xa2
Comment 1 Fedora End Of Life 2013-01-16 09:35:15 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 10:48:44 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.